summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authornaetherm2020-04-07 07:02:58 +0200
committernaetherm2020-04-07 07:02:58 +0200
commit95f30d0729774fbf3ebd05f8449ff0620f25fca4 (patch)
treec2b851229fad2e3179c08c45b44a7035db5a3503 /PKGBUILD
parent50972f6d8dea78cf3c3daf471a1ab3d9ad56f9ea (diff)
downloadaur-95f30d0729774fbf3ebd05f8449ff0620f25fca4.tar.gz
Updated rocm-opencl-runtime to version 3.3.0
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD38
1 files changed, 19 insertions, 19 deletions
diff --git a/PKGBUILD b/PKGBUILD
index f9e7bc2d048..5cd3c97b7c4 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,30 +4,30 @@ _opencl_icd_loader_commit='978b4b3a29a3aebc86ce9315d5c5963e88722d03'
pkgbase=rocm-opencl-runtime
pkgname=(rocm-device-libs rocm-opencl-runtime)
-pkgver=3.1.0
-pkgrel=3
+pkgver=3.3.0
+pkgrel=1
arch=('x86_64')
url='https://github.com/RadeonOpenCompute'
makedepends=(mesa cmake git llvm-roc rocm-comgr)
provides=("$pkgname" 'opencl-driver')
source=(
- "rocm-device-libs::git+https://github.com/RadeonOpenCompute/ROCm-Device-Libs#tag=roc-ocl-$pkgver"
+ "rocm-device-libs::git+https://github.com/RadeonOpenCompute/ROCm-Device-Libs#tag=rocm-ocl-$pkgver"
"rocm-opencl-runtime::git+https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime#tag=roc-$pkgver"
- "rocm-cmake::git+https://github.com/RadeonOpenCompute/rocm-cmake#tag=roc-3.0.0"
+ "rocm-cmake::git+https://github.com/RadeonOpenCompute/rocm-cmake#tag=rocm-3.3.0"
"opencl-icd-loader::git+https://github.com/KhronosGroup/OpenCL-ICD-Loader#commit=$_opencl_icd_loader_commit"
# "rocm-opencl-runtime-2.8.0-change-AMDCompilerh.patch"
- "rocm-opencl-runtime-2.8.0-change-opencl.patch"
- "rocm-opencl-runtime-2.8.0-amdocl64icd.patch"
- "rocm-opencl-runtime-3.0.0-change-install-location.patch"
+ # "rocm-opencl-runtime-2.8.0-change-opencl.patch"
+ # "rocm-opencl-runtime-2.8.0-amdocl64icd.patch"
+ # "rocm-opencl-runtime-3.0.0-change-install-location.patch"
)
sha256sums=('SKIP'
'SKIP'
'SKIP'
- 'SKIP'
- '3af5c9c3b8b88b78a2fd574f339e88a5cd62c365d94e9289c2a2cb4afef3d435'
- '2cfd11bda9a485d6de2231c56742ad553329cab9b6dcc009dbddbcde1436f485'
- '941a29f8704a2839c32bcf3cf374dde30bc8a839c1136d4faa65c60a7500cf98')
+ 'SKIP')
+ # '3af5c9c3b8b88b78a2fd574f339e88a5cd62c365d94e9289c2a2cb4afef3d435'
+ # '2cfd11bda9a485d6de2231c56742ad553329cab9b6dcc009dbddbcde1436f485'
+ # '941a29f8704a2839c32bcf3cf374dde30bc8a839c1136d4faa65c60a7500cf98')
prepare() {
cd "$srcdir/rocm-opencl-runtime"
@@ -37,14 +37,14 @@ prepare() {
mkdir -p api/opencl/khronos
mv "$srcdir/opencl-icd-loader" api/opencl/khronos/icd
- local src
- for src in "${source[@]}"; do
- src="${src%%::*}"
- src="${src##*/}"
- [[ $src = *.patch ]] || continue
- msg2 "Applying patch $src..."
- patch -Np1 -i "$srcdir/$src"
- done
+ # local src
+ # for src in "${source[@]}"; do
+ # src="${src%%::*}"
+ # src="${src##*/}"
+ # [[ $src = *.patch ]] || continue
+ # msg2 "Applying patch $src..."
+ # patch -Np1 -i "$srcdir/$src"
+ # done
}
build() {